<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Attributes and Links</title>
</head>
<body>

<!-- id attribute must be unique, assigned unique indentifier to an element -->

<h2 id="top">HTML Attributes</h2>

<!-- align attribute, changes the alightment of paragraph or specific text" -->

	<p align="center"><em>Modifiers of element behaviors.</em></p>

<h2>HTML Images</h2>

<!-- html entities, there are special characters use in HTML elements to show HTML reserved characters-->

<p>
	<em>An image can be shown using &lt;img&gt; src tag along with its <strong>src attribute</strong></em>
</p>
<!-- any html tag wrapped in Anchor will become clickable element. -->
<!-- src attribute - accepts a url/link -->
<a href="https://place-puppy.com/">
<img src="https://place-puppy.com/300x300">
</a>

<p>
	<!-- code tag , use define a computer piece of computer code and display it in the browser using default monospace font -->
	<code>
		&lt;img src="https://place-puppy.com/300x300"&gt;
	</code>
</p>

	<!--<img src="C:\Users\USER\Documents\b182\s04\d1\images\zuittlogo.png">
	 using relative link 
		- target attribute defines where the link will be opened
		"_blank" value will open the link in a new tab.
	-->

	 <a href="https://zuitt.co" target="_blank">
	<img src="./images/zuittlogo.png">
		</a>

<p>
	<code>
			&lt;img src="./images/zuittlogo.png"&gt;
	</code>
</p>

<p>
	Valid image extension are the following:
		<!-- type attribute values for ol
		A or a
		I or i
		1
		reversed attribute reverses the order of the bullet points
		 -->
</p>
	<ol type, reversed="A">
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com" target="_blank">here</a></p>

	<h2>HTML Links</h2>
		<h4>Absolute Link</h4>
		<!-- href -hypertext reference
		a - anchor, used to create a link to different page, section -->
		<a href="https://zuitt.co/">I'm a hyperlink</a>

		<h4>Relative Link</h4>

		<p>Go to <a href="./link.html">link.html</a> page.</p>
		<p>Go to <a href="#top">top</a></p>
</body>
</html>